package com.yihaomen.util;

import java.util.Date;

import org.hibernate.Interceptor;
import org.hibernate.Session;

import com.yihaomen.common.AuditLog;
import com.yihaomen.interceptor.AuditLogInterceptor;
import com.yihaomen.interceptor.IAuditLog;

public class AuditLogUtil{
	
	public static void LogIt(String action,
		IAuditLog entity){
		
		Session tempSession = HibernateUtil.getSessionFactory().openSession();
			
		try {
			tempSession.getTransaction().begin();
			AuditLog auditRecord = new AuditLog(action,entity.getLogDeatil()
					, new Date(),entity.getId(), entity.getClass().toString());
			tempSession.save(auditRecord);
			tempSession.getTransaction().commit();
			
		} finally {	
			tempSession.close();
			
		}
			
	}
}